Gentoo Archives: gentoo-user

From: Dan Johansson <Dan.Johansson@×××.nu>
To: gentoo-user@l.g.o
Subject: [gentoo-user] Up-/Down-grade of KDE
Date: Sun, 12 Sep 2010 10:12:27
Message-Id: 201009121211.15062.Dan.Johansson@dmj.nu
Yesterday my ~x86 Gentoo box got KDE upgraded to 4.5.1 and today portage want 
to downgrade it again to 4.4.5 and I can not figure out why.

My "emerge --update --deep --verbose --reinstall changed-use world --pretend"
gives a lot of output for KDE-components like this:                                                                                                            
ebuild  NS   ] kde-base/kdebase-meta-4.4.5 [4.5.1] USE="(-aqua) (-kdeprefix)" 
0 kB
[uninstall    ] kde-base/kdebase-meta-4.5.1  USE="(-aqua) (-kdeprefix)" 
[blocks b     ] kde-base/kdebase-meta:4.5[-kdeprefix] ("kde-base/kdebase-
meta:4.5[-kdeprefix]" is blocking kde-base/kdebase-meta-4.4.5)
[blocks b     ] kde-base/kdebase-meta:4.4[-kdeprefix] ("kde-base/kdebase-
meta:4.4[-kdeprefix]" is blocking kde-base/kdebase-meta-4.5.1)

Any suggestion on what I have screwed up?

-- 
Dan Johansson, <http://www.dmj.nu>
***************************************************
This message is printed on 100% recycled electrons!
***************************************************

Replies

Subject Author
Re: [gentoo-user] Up-/Down-grade of KDE Dan Johansson <Dan.Johansson@×××.nu>